### Virtual Method

# Gio Vfs get_file_for_uri

#### Declaration

    GFile*
    get_file_for_uri (
      GVfs* vfs,
      const char* uri
    )

#### Description

Gets a `GFile` for `uri`.

This operation never fails, but the returned object might not support any I/O operation if the URI is malformed or if the URI scheme is not supported.

#### Parameters

`uri`

  Type: `const char*`

  A string containing a URI.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GFile`

A `GFile`. Free the returned object with g_object_unref().

The caller of the method takes ownership of the returned data, and is responsible for freeing it.